[vdr] VDR and "multiproto" - which driver to use?

Lauri Tischler lwgt at iki.fi
Sun Apr 20 10:44:24 CEST 2008


Magnus Hörlin wrote:
> Lauri Tischler wrote:
>> Halim Sahin wrote:
>>   
>>> Hi,
>>> install the linux-headers package coresponding to your running kernel.
>>> e. G. linux-headers-2.6.24-1-686.
>>> you can get the running kernel's version  by typing uname -r
>>>
>>> check out the multiproto drivers by typing 
>>> hg clone http://just.dde/hg/multiproto_plus.
>>>     
>> What's hg ? Not in debian :(
>>
>> vdr2:~# hg clone http://just.dde/hg/multiproto_plus
>> -bash: hg: command not found
>> vdr2:~# apt-get install hg
>> Reading package lists... Done
>> Building dependency tree... Done
>> E: Couldn't find package hg
>>   
> apt-get install mercurial

OK, loaded, does not compile.

   CC [M]  /root/multiproto_plus/v4l/videodev.o
/root/multiproto_plus/v4l/videodev.c:491: error: unknown field 
'dev_attrs' specified in initializer
/root/multiproto_plus/v4l/videodev.c:491: warning: initialization from 
incompatible pointer type
/root/multiproto_plus/v4l/videodev.c:492: error: unknown field 
'dev_release' specified in initializer
/root/multiproto_plus/v4l/videodev.c:492: warning: missing braces around 
initializer
/root/multiproto_plus/v4l/videodev.c:492: warning: (near initialization 
for 'video_class.subsys')
/root/multiproto_plus/v4l/videodev.c:492: warning: initialization from 
incompatible pointer type
make[3]: *** [/root/multiproto_plus/v4l/videodev.o] Error 1

Any particular requirement for kernel version,
i'm running 2.6.18-5-k7 (debian etch)at the moment ?



More information about the vdr mailing list